# ==================================================================
# Plugins::GMail::SaveSent - Auto Generated Install Module
#
#   Plugins::GMail::SaveSent
#   Author  : Charlie Piper <piper@x2concepts.com>
#   Version : 1.0
#   Updated : Sat Jan 18 15:24:19 2003
#
# ==================================================================
#

package Plugins::GMail::SaveSent;
# ==================================================================
    use strict;
    use vars  qw/$VERSION $DEBUG $NAME $META/;
    use GT::Base;
    use GT::Plugins qw/STOP CONTINUE/;
    use GMail qw/$IN $DB $CFG/;

    $VERSION = '1.0';
    $DEBUG   = 0;
    $NAME    = 'SaveSent';
# Inhert from base class for debug and error methods
    @Plugins::GMail::SaveSent::ISA = qw(GT::Base);

    $META = {
    'prog_ver' => '2.1.0-Upgrade',
    'description' => 'This will Plugin will give users the option to save a copy of a message from compose screen when they have "Save Sent" in the options menu set to no.',
    'license' => 'Freeware',
    'url' => 'http://www.x2concepts.com/',
    'author' => 'Charlie Piper',
    'version' => '1.0'
};


sub pre_install {
# -------------------------------------------------------------------
# This function displays an HTML formatted message that will display
# to the user any instructions/information before they install
# the plugin.
#
    my $inst_msg = 'This will install the Save Sent plugin.';

    return $inst_msg;
}

sub pre_uninstall {
# -------------------------------------------------------------------
# This function displays an HTML formatted message that will display
# to the user any instructions/information before they remove the
# plugin.
#
    my $uninst_msg = 'You are about to remove the Save Sent plugin.';

    return $uninst_msg;
}

sub install {
# -------------------------------------------------------------------
# This function does the actual installation. It's first argument is
# a plugin manager which you can use to register hooks, install files,
# add menu options, etc. The second argument is a GT::Tar object which
# you can use to access any files in your plugin module.
#
# You should return an HTML formatted string that will be displayed 
# to the user.
#
# If there is an error, return undef, and set the error message in
# $Plugins::GMail::SaveSent::error
#
    my ($mgr, $tar) = @_;
    
    $mgr->install_hooks ( 'SaveSent', [ ['GMail::Compose::new_send', 'PRE', 'Plugins::GMail::SaveSent::check_save_sent', 'FIRST'] ]);
    $mgr->install_hooks ( 'SaveSent', [ ['GMail::Compose::reply_send', 'PRE', 'Plugins::GMail::SaveSent::check_save_sent', 'FIRST'] ]);
    $mgr->install_hooks ( 'SaveSent', [ ['GMail::Compose::forward_send', 'PRE', 'Plugins::GMail::SaveSent::check_save_sent', 'FIRST'] ]);

    return "The Save Sent plugin has been successfully installed!";
}

sub uninstall {
# -------------------------------------------------------------------
# This function removes the plugin. It's first argument is
# also a plugin manager which you can use to register hooks, install files,
# add menu options, etc. You should return an HTML formatted string
# that will be displayed to the user.
#
# If there is an error, return undef, and set the error message in
# $Plugins::GMail::SaveSent::error
#
    my $mgr = shift;
    
    $mgr->uninstall_hooks ( 'SaveSent', [ ['GMail::Compose::new_send', 'PRE', 'Plugins::GMail::SaveSent::check_save_sent', 'FIRST'] ]);
    $mgr->uninstall_hooks ( 'SaveSent', [ ['GMail::Compose::reply_send', 'PRE', 'Plugins::GMail::SaveSent::check_save_sent', 'FIRST'] ]);
    $mgr->uninstall_hooks ( 'SaveSent', [ ['GMail::Compose::forward_send', 'PRE', 'Plugins::GMail::SaveSent::check_save_sent', 'FIRST'] ]);

    return "The Save Sent plugin has been successfully removed!";
}

1;
