# ==================================================================
# Plugins::GMail::SaveSent - Auto Generated Program Module
#
#   Plugins::GMail::SaveSent
#   Author  : Charlie Piper
#   Version : 1.0
#   Updated : Sat Jan 18 15:24:19 2003
#
# ==================================================================
#

package Plugins::GMail::SaveSent;
# ==================================================================

    use strict;
    use GT::Base;
    use GT::Plugins qw/STOP CONTINUE/;
    use GMail qw/$IN $DB $CFG $USER/;

# Inherit from base class for debug and error methods
    @Plugins::GMail::SaveSent::ISA = qw(GT::Base);

# Your code begins here! Good Luck!


# PLUGIN HOOKS
# ===================================================================


sub check_save_sent {
# -------------------------------------------------------------------
# This subroutine will get called whenever the hook 'GMail::Compose::new_send'
# is run. You should call GT::Plugins->action ( STOP ) if you don't 
# want the regular code to run, otherwise the code will continue as
# normal.
#
    # This will check to make sure that the 'save_copy_to_sent' option exists
    # and is set to no.  If it is and the user requests to save a copy, 
    # the option will be updated to do so.
    if (($USER->{opts}->{compose}->{save_copy_to_sent} eq '0' || !exists($USER->{opts}->{compose}->{save_copy_to_sent}))
        && $IN->param('plug_save_sent') eq '1') {
        $USER->{opts}->{compose}->{save_copy_to_sent} = 1;
    }

    return 1;
}

# Always end with a 1.
1;
